Bug 977067 - ata4: SRST failed (errno=-16) and r8169 0000:01:0a.0 eth0: rtl_phyar_cond == 0 (loop: 20, d elay: 25).
Summary: ata4: SRST failed (errno=-16) and r8169 0000:01:0a.0 eth0: rtl_phyar_cond == ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-23 07:41 UTC by Adam Pribyl
Modified: 2014-01-04 17:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-04 17:56:00 UTC
Type: Bug


Attachments (Terms of Use)
Crash at hibernate (sadly not from the beginnig can no scroll further), but of cause related to sata. (1.31 MB, image/jpeg)
2013-08-18 17:42 UTC, Adam Pribyl
no flags Details
journal commit I/O error (1.19 MB, image/jpeg)
2013-08-18 17:43 UTC, Adam Pribyl
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 60773 0 None None None Never

Description Adam Pribyl 2013-06-23 07:41:08 UTC
Description of problem:
With 3.9.x versions of the kernel I do get on every boot or wake up a bunch of errors related to network card r8169 and for ata3 (where my SSD is) and/or ata4 (where DVD drive is). I am not sure, this network card error is related to ata. 

With 3.8.11-200.fc18.x86_64 I do not see this. These ata errors slow down the boot.I found several closed old bugs with similar message.

00:08.0 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)


Version-Release number of selected component (if applicable):
kernel-3.9.2-200.fc18.x86_64
kernel-3.9.4-200.fc18.x86_64

How reproducible:
Very often, almost on every boot any ata SRST fails.

Actual results:
Jun 19 19:53:11 m kernel: [278491.334059] r8169 0000:01:0a.0 eth0: rtl_phyar_cond == 0 (loop: 20, delay: 25).
Jun 19 19:53:11 m kernel: [278491.336059] r8169 0000:01:0a.0 eth0: rtl_phyar_cond == 0 (loop: 20, delay: 25).
Jun 19 19:53:11 m kernel: [278491.338059] r8169 0000:01:0a.0 eth0: rtl_phyar_cond == 0 (loop: 20, delay: 25).
Jun 19 19:53:11 m kernel: [278491.340059] r8169 0000:01:0a.0 eth0: rtl_phyar_cond == 0 (loop: 20, delay: 25).
Jun 19 19:53:11 m kernel: [278491.342058] r8169 0000:01:0a.0 eth0: rtl_phyar_cond == 0 (loop: 20, delay: 25).

Jun 19 19:53:11 m kernel: [278496.813022] ata4: link is slow to respond, please be patient (ready=0)
Jun 19 19:53:11 m kernel: [278501.352022] ata4: SRST failed (errno=-16)
Jun 19 19:53:11 m kernel: [278501.806036] ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Jun 19 19:53:11 m kernel: [278501.825119] ata4.00: ACPI cmd ef/03:46:00:00:00:a0 (SET FEATURES) filtered out
Jun 19 19:53:11 m kernel: [278501.847096] ata4.00: configured for UDMA/100
Jun 19 19:53:11 m kernel: [278501.848170] PM: restore of devices complete after 10542.825 msecs


Expected results:


Additional info:

Comment 1 Adam Pribyl 2013-08-18 17:04:48 UTC
After update to F19 and then to 3.10 kernel I can not hibernate at all. I saw various very strange errors, e.g. kernel I/O error, some backtrace of systemd, the X running but unable to spin any process after pm-hibernate (or suspend).

Comment 2 Adam Pribyl 2013-08-18 17:40:39 UTC
With 3.8.11 everything works. 

With 3.10 I also has to disable firewire, it crashes with every boot:
Aug 16 15:53:06 m kernel: firewire_ohci 0000:01:05.0: added OHCI v1.0 device as card 0, 8 IR + 8 IT contexts, quirks 0x80
Aug 16 15:53:07 m kernel: firewire_core 0000:01:05.0: created device fw0: GUID 0011d8000177dddc, S400
Aug 16 19:09:33 m kernel: firewire_ohci 0000:01:05.0: failed to read phy reg 4
Aug 16 19:09:33 m kernel:  [<ffffffffa003421b>] read_phy_reg+0x9b/0xb0 [firewire_ohci]
Aug 16 19:09:33 m kernel:  [<ffffffffa0034250>] update_phy_reg+0x20/0x50 [firewire_ohci]
Aug 16 19:09:33 m kernel:  [<ffffffffa00342be>] ohci_update_phy_reg+0x3e/0x60 [firewire_ohci]
Aug 16 19:09:33 m kernel:  [<ffffffffa003785f>] ohci_enable+0x1cf/0x5b0 [firewire_ohci]
Aug 16 19:09:33 m kernel:  [<ffffffffa001b929>] fw_card_add+0x49/0x80 [firewire_core]
Aug 16 19:09:33 m kernel:  [<ffffffffa0038d09>] pci_probe+0x649/0x75c [firewire_ohci]
Aug 16 19:09:33 m kernel: firewire_ohci: probe of 0000:01:05.0 failed with error -16

lspci:
00:00.0 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: NVIDIA Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB controller: NVIDIA Corporation MCP61 USB 1.1 Controller (rev a3)
00:02.1 USB controller: NVIDIA Corporation MCP61 USB 2.0 Controller (rev a3)
00:04.0 PCI bridge: NVIDIA Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: NVIDIA Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: NVIDIA Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: NVIDIA Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8169 PCI Gigabit Ethernet Controller (rev 10)
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 LE [Radeon HD 3450]

I'll attach two picture from 3.10 as after hiberante is initiated, nothing is written to logs - e.g. the message  journal commit I/O error..

Comment 3 Adam Pribyl 2013-08-18 17:42:17 UTC
Created attachment 787814 [details]
Crash at hibernate (sadly not from the beginnig can no scroll further), but of cause related to sata.

Comment 4 Adam Pribyl 2013-08-18 17:43:04 UTC
Created attachment 787818 [details]
journal commit I/O error

Comment 5 Josh Boyer 2013-09-18 20:23:34 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 6 Josh Boyer 2013-10-08 17:09:33 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 Adam Pribyl 2013-10-08 19:24:14 UTC
Situation has evolved - the boot seems OK, but now I can not wake up from hibernate to test it, because I am not able to hibernate at all. After attempt to hibernate I do see often the journal commit I/O error or other weird stuff like crashes, unable to read/write inode etc. After hard reboot the file system is corrupted a lot, therefore I do not experiment with this often.

Comment 8 Justin M. Forbes 2014-01-03 22:04:43 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.

Comment 9 Adam Pribyl 2014-01-04 09:35:03 UTC
Tested latest kernel, and situation is still the same. I am stuck at 3.8.11-200.fc18 even on F19 otherwise at hibernate the filesystem gets corrupted.

Comment 10 Adam Pribyl 2014-01-04 17:56:00 UTC
After upgrade to F20 and switching from org.freedesktop.UPower to org.freedesktop.login1.Manager for hibernation (UPower does not work in F20 anymore) the hibernation finally works again with new kernels. Looks like the problem was not in kernel but UPower.


Note You need to log in before you can comment on or make changes to this bug.